﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{3093DF57-1EF0-4E01-82FF-ACA6176D0806}</ProjectGuid>
    <OutputType>Exe</OutputType>
    <RootNamespace>INFOGR2019Tmpl8</RootNamespace>
    <AssemblyName>INFOGR2019Tmpl8</AssemblyName>
    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="OpenTK, Version=3.3.1.0, Culture=neutral, PublicKeyToken=bad199fe84eb3df4, processorArchitecture=MSIL">
      <HintPath>packages\OpenTK.3.3.1\lib\net20\OpenTK.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Skybox.cs" />
    <Compile Include="Light.cs" />
    <Compile Include="SceneGraph.cs" />
    <Compile Include="mesh.cs" />
    <Compile Include="meshLoader.cs" />
    <Compile Include="MyApplication.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="quad.cs" />
    <Compile Include="rendertarget.cs" />
    <Compile Include="shader.cs" />
    <Compile Include="surface.cs" />
    <Compile Include="template.cs" />
    <Compile Include="texture.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
    <None Include="OpenTK.dll.config" />
    <None Include="packages.config" />
    <None Include="shaders\reflectfs.glsl" />
    <None Include="shaders\skyboxfs.glsl" />
    <None Include="shaders\fs.glsl" />
    <None Include="shaders\fs_post.glsl" />
    <None Include="shaders\skyboxvs.glsl" />
    <None Include="shaders\reflectvs.glsl" />
    <None Include="shaders\vs.glsl" />
    <None Include="shaders\vs_post.glsl" />
  </ItemGroup>
  <ItemGroup>
    <WCFMetadata Include="Connected Services\" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>